---
description: Home page for Docker's documentation
keywords:
- Docker, documentation, manual, guide, reference, api
title: Welcome to the Docs
layout: docs
---

# Welcome to the Docs

{% include content/docker_elevator_pitch.md %}

{% include content/typical_docker_workflow.md %}

## Components

<section class="section projects_items_section GenericDev" style="margin-top:-150px; margin-bottom:-150px">
<ul class="items widthcol3 media">
<li>
	<div class="media_image">
		<a href="/docker-for-mac/"><img src="/images/icon-apple@2X.png" alt="Docker for Mac"></a>
	</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/docker-for-mac/">Docker for Mac</a></h3>
		<p>A native application using the OS X sandbox security model which delivers all Docker tools to your Mac.</p>
	</div>
	</div>
</li>
<li>
	<div class="media_image">
		<a href="/docker-for-windows/"><img src="/images/icon-windows@2X.png" alt="Docker for Windows"></a>
	</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/docker-for-windows/">Docker for Windows</a></h3>
		<p>A native Windows application which delivers all Docker tools to your Windows computer.</p>
	</div>
	</div>
</li>
<li>
	<div class="media_image">
		<a href="/engine/installation/linux/"><img src="/images/icon-linux@2X.png" alt="Docker for Linux"></a>
	</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/engine/installation/linux/">Docker for Linux</a></h3>
		<p>Install Docker on a computer which already has a Linux distribution installed.</p>
	</div>
	</div>
</li>
</ul>
<ul class="items widthcol media">
<li>
<div class="media_image">
	<a href="/engine/installation/"><img src="/images/icon-engine@2X.png" alt="Docker Engine"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/engine/installation/">Docker Engine</a></h3>
		<p>
    Create Docker images and run Docker containers.</p>
    <p>
		As of v1.12.0, Engine includes <a href="/engine/swarm/">swarm mode</a> container orchestration features.</p>
	</div>
	</div>
</li>
</ul>
<ul class="items widthcol2 media">
<li>
<div class="media_image">
	<a href="/docker-hub/overview/"><img src="/images/icon-hub@2X.png" alt="Docker Hub"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/docker-hub/overview/">Docker Hub</a></h3>
		<p>
    A hosted registry service for managing and building images.</p>
	</div>
	</div>
</li>
<li>
<div class="media_image">
	<a href="/docker-cloud/overview/"><img src="/images/icon-cloud@2X.png" alt="Docker Cloud"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/docker-cloud/overview/">Docker Cloud</a></h3>
		<p>
    A hosted service for building, testing, and deploying Docker images to your hosts.</p>
	</div>
	</div>
</li>
<li>
<div class="media_image">
	<a href="/docker-trusted-registry/"><img src="/images/icon-registry@2X.png" alt="Docker Trusted Registry"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/docker-trusted-registry/">Docker Trusted Registry</a></h3>
		<p>
    (DTR) stores and signs your images.</p>
	</div>
	</div>
</li>
<li>
<div class="media_image">
	<a href="/ucp/overview/"><img src="/images/icon-ucp@2X.png" alt="Docker Universal Control Plane"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/ucp/overview/">Docker Universal Control Plane</a></h3>
		<p>
    (UCP) Manage a cluster of on-premises Docker hosts as if they were a single machine.
    </p>
	</div>
	</div>
</li>
<li>
<div class="media_image">
	<a href="/machine/install-machine/"><img src="/images/icon-machine@2X.png" alt="Docker Machine"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/machine/install-machine/">Docker Machine</a></h3>
		<p>
    Automate container provisioning on your network or in
    the cloud. Available for Windows, Mac OS X, or Linux.</p>
	</div>
	</div>
</li>
<li>
<div class="media_image">
	<a href="/compose/overview/"><img src="/images/icon-compose@2X.png" alt="Docker Compose"></a>
</div>
	<div class="media_content">
	<div data-mh="mh_docker_projects">
	<h3><a href="/compose/overview/">Docker Compose</a></h3>
		<p>
    Define applications built using multiple containers.</p>
	</div>
	</div>
</li>
</ul>
</section>
